## python-internetarchive 1.8.1

=== Makefile ===
.PHONY: docs

VERSION=$(shell grep -m1 __version__ internetarchive/__init__.py | cut -d\' -f2)

init:
	pip install responses==0.5.0 pytest-cov pytest-pep8
	pip install -e .

clean:
	find . -type f -name '*\.pyc' -delete
	find . -type d -name '__pycache__' -delete

pep8-test:
	py.test --pep8 -m pep8 --cov-report term-missing --cov internetarchive

test:
	py.test --pep8 --cov-report term-missing --cov internetarchive

publish:
	git tag -a v$(VERSION) -m 'version $(VERSION)'
	git push --tags
	python setup.py sdist upload
	python setup.py bdist_wheel upload

docs-init:
	pip install -r docs/requirements.txt

docs:
	cd docs && make html
	@echo "\033[95m\n\nBuild successful! View the docs homepage at docs/build/html/index.html.\n\033[0m"

binary:
	# This requires using https://github.com/jjjake/pex which has been hacked for multi-platform support.
	pex . --python python3.6 --python python2 --python-shebang='/usr/bin/env python' -e internetarchive.cli.ia:main -o ia-$(VERSION)-py2.py3-none-any.pex

publish-binary:
	./ia-$(VERSION)-py2.py3-none-any.pex upload ia-pex ia-$(VERSION)-py2.py3-none-any.pex --no-derive
	./ia-$(VERSION)-py2.py3-none-any.pex upload ia-pex ia-$(VERSION)-py2.py3-none-any.pex --remote-name=ia --no-derive

=== tests/requirements.txt ===
pytest>=3.3.1
pytest-pep8
responses==0.5.0

=== debian/changelog ===
python-internetarchive (1.8.1-1+deb10u1.1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:52:57 +0800

python-internetarchive (1.8.1-1+deb10u1) buster; urgency=medium

  * hotfix: close file after getting md5 (Closes: #950289)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 31 Jan 2020 15:00:57 -0500

python-internetarchive (1.8.1-1) unstable; urgency=low

  * Package internetarchive library for Debian (Closes: #909550)
  * Partly generated by py2dsp v2.20180318
  * Patch in proper version number which was forgotten upstream

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 25 Sep 2018 03:08:05 +0000

=== debian/control ===
Source: python-internetarchive
Section: python
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 11~), dh-python,
               python3-all,
               python3-clint,
               python3-docopt,
               python3-jsonpatch,
               python3-mock,
               python3-pytest,
               python3-responses,
               python3-requests,
               python3-schema,
               python3-setuptools,
               python3-six (>= 1.0.0), python3-six (<< 2.0.0),
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/python-team/modules/python-internetarchive.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-internetarchive
Homepage: https://github.com/jjjake/internetarchive
Testsuite: autopkgtest-pkg-python

Package: python3-internetarchive
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: python interface to archive.org
 Python library for searching, downloading and uploading content to
 the Internet Archive.

Package: internetarchive
Section: utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-internetarchive
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Conflicts: python-duckduckgo2 (<< 0.242+git20151019-2)
Description: commandline interface to archive.org
 Command-line tool (`ia`) for searching, downloading and uploading
 content to the Internet Archive.

## python-internetarchive 1.8.3

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 binary:
 	# This requires using https://github.com/jjjake/pex which has been hacked for multi-platform support.
 	pex . --python python3.6 --python python2 --python-shebang='/usr/bin/env python' -e internetarchive.cli.ia:main -o ia-$(VERSION)-py2.py3-none-any.pex
+	# pex . --python python3.6 --python /usr/bin/python --python-shebang='/usr/bin/env python' --platform=linux-x86_64 --platform=macosx_10_11 -e internetarchive.cli.ia:main -o ia-1.8.1-py2.py3-none-any.pex -f wheelhouse/ --no-pypi
 
 publish-binary:
 	./ia-$(VERSION)-py2.py3-none-any.pex upload ia-pex ia-$(VERSION)-py2.py3-none-any.pex --no-derive

=== debian/changelog ===
python-internetarchive (1.8.3-1) experimental; urgency=medium

  * New upstream release.
  * New policy version and dh-compat, no change.

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 01 Apr 2019 09:15:39 -0400

## python-internetarchive 1.9.0

=== debian/changelog ===
python-internetarchive (1.9.0-3ubuntu0.1~esm1) focal-security; urgency=medium

  * SECURITY UPDATE: Directory traversal vulnerability
    - debian/patches/CVE-2025-58438.patch: Add functions for sanitizing
      and unsanitizing user input in `utils.py`
    - CVE-2025-58438

 -- Shishir Subedi <shishir.subedi@canonical.com>  Thu, 29 Jan 2026 14:49:21 +0545

python-internetarchive (1.9.0-3) unstable; urgency=medium

  * hotfix: close file after getting md5 (Closes: #950289)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 31 Jan 2020 14:56:30 -0500

python-internetarchive (1.9.0-2) unstable; urgency=medium

  * do not require backports.csv in Python 3.5+ (Closes: #946484)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 09 Dec 2019 17:06:20 -0500

python-internetarchive (1.9.0-1) unstable; urgency=medium

  * new upstream release
  * merge in experimental upload:
    * switch to dh-compat 12, no change
    * bump standards to 4.3, no change

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 09 Dec 2019 15:11:30 -0500

python-internetarchive (1.8.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Antoine Beaupré]
  * new upstream release (Closes: #922357)
  * remove patches merged upstream

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 Oct 2019 20:29:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: python-internetarchive
 Section: python
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 11~), dh-python,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
                python3-all,
                python3-clint,
                python3-docopt,
@@ -14,7 +16,7 @@
                python3-schema,
                python3-setuptools,
                python3-six (>= 1.0.0), python3-six (<< 2.0.0),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-internetarchive.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-internetarchive
 Homepage: https://github.com/jjjake/internetarchive

## python-internetarchive 1.9.0-3+9.0trisquel1

=== tests/requirements.txt ===
pytest>=3.3.1
pytest-pep8
responses==0.10.6

=== debian/changelog ===
python-internetarchive (1.9.0-3+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from Focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 09 Feb 2020 07:27:48 +0000

## python-internetarchive 1.9.3

=== debian/changelog ===
python-internetarchive (1.9.3-1) unstable; urgency=medium

  * new upstream release
  * remove patches: all merged upstream

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 10 May 2020 23:23:59 -0400

## python-internetarchive 1.9.9

=== Makefile ===
--- 
+++ 
@@ -31,8 +31,9 @@
 
 binary:
 	# This requires using https://github.com/jjjake/pex which has been hacked for multi-platform support.
-	pex . --python python3.6 --python python2 --python-shebang='/usr/bin/env python' -e internetarchive.cli.ia:main -o ia-$(VERSION)-py2.py3-none-any.pex
-	# pex . --python python3.6 --python /usr/bin/python --python-shebang='/usr/bin/env python' --platform=linux-x86_64 --platform=macosx_10_11 -e internetarchive.cli.ia:main -o ia-1.8.1-py2.py3-none-any.pex -f wheelhouse/ --no-pypi
+	pex . --python python3.7 --python python2 --python-shebang='/usr/bin/env python' --platform=linux-x86_64 --platform=macosx_10_11 -e internetarchive.cli.ia:main -o ia-$(VERSION)-py2.py3-none-any.pex -r pex-requirements.txt # make with py2???
+	# Use pex==1.4.0
+	#pex . --python python3 --python /usr/bin/python --python-shebang='/usr/bin/env python' --platform=linux-x86_64 --platform=macosx_10_11 -e internetarchive.cli.ia:main -o ia-$(VERSION)-py2.py3-none-any.pex -f wheelhouse/ --no-pypi
 
 publish-binary:
 	./ia-$(VERSION)-py2.py3-none-any.pex upload ia-pex ia-$(VERSION)-py2.py3-none-any.pex --no-derive

=== docs/requirements.txt ===
Sphinx==1.2.2
alabaster==0.7.6
docutils==0.12

=== tests/requirements.txt ===
flake8>=3.8.3
pytest==4.6.9; python_version < '3.0'
pytest==6.0.1; python_version >= '3.0'
responses==0.12.0

=== debian/changelog ===
python-internetarchive (1.9.9-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Directory traversal vulnerability
    - debian/patches/CVE-2025-58438.patch: Add functions for sanitizing
      and unsanitizing user input in `utils.py`
    - CVE-2025-58438

 -- Shishir Subedi <shishir.subedi@canonical.com>  Thu, 29 Jan 2026 14:48:58 +0545

python-internetarchive (1.9.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antoine Beaupré ]
  * new upstream release (Closes: #956707)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 21:03:20 -0500

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                python3-schema,
                python3-setuptools,
                python3-six (>= 1.0.0), python3-six (<< 2.0.0),
-Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-internetarchive.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-internetarchive
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-internetarchive.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-internetarchive
 Homepage: https://github.com/jjjake/internetarchive
 Testsuite: autopkgtest-pkg-python

## python-internetarchive 3.0.2

=== Makefile ===
.PHONY: docs

VERSION=$(shell grep -m1 __version__ internetarchive/__init__.py | cut -d\' -f2)

init:
	pip install responses==0.5.0 pytest-cov pytest-pep8
	pip install -e .

clean:
	find . -type f -name '*\.pyc' -delete
	find . -type d -name '__pycache__' -delete

pep8-test:
	py.test --pep8 -m pep8 --cov-report term-missing --cov internetarchive

test:
	py.test --pep8 --cov-report term-missing --cov internetarchive

publish:
	git tag -a v$(VERSION) -m 'version $(VERSION)'
	git push --tags origin master
	python setup.py sdist bdist_wheel
	twine upload --repository-url https://upload.pypi.org/legacy/ --repository testpypi dist/internetarchive-$(VERSION).tar.gz

docs-init:
	pip install -r docs/requirements.txt

docs:
	cd docs && make html
	@echo "\033[95m\n\nBuild successful! View the docs homepage at docs/build/html/index.html.\n\033[0m"

binary:
	pex . --python-shebang='/usr/bin/env python3' --python python3 -e internetarchive.cli.ia:main -o ia-$(VERSION)-py3-none-any.pex -r pex-requirements.txt --use-pep517

publish-binary:
	./ia-$(VERSION)-py3-none-any.pex upload ia-pex ia-$(VERSION)-py3-none-any.pex --no-derive
	./ia-$(VERSION)-py3-none-any.pex upload ia-pex ia-$(VERSION)-py3-none-any.pex --remote-name=ia --no-derive

=== debian/changelog ===
python-internetarchive (3.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 19 Jun 2022 13:38:25 -0400

python-internetarchive (3.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-six.
    + internetarchive: Drop versioned constraint on python-duckduckgo2 in
      Conflicts.
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Antoine Beaupré ]
  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 06 Jun 2022 09:46:02 -0400

python-internetarchive (3.0.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * New upstream release (2.0.3)

  [ Antoine Beaupré ]
  * New upstream release (3.0.0)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Mar 2022 12:17:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: python-internetarchive
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Antoine Beaupré <anarcat@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-clint,
@@ -15,8 +14,8 @@
                python3-requests,
                python3-schema,
                python3-setuptools,
-               python3-six (>= 1.0.0), python3-six (<< 2.0.0),
-Standards-Version: 4.4.1
+               python3-six, python3-six (<< 2.0.0),
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-internetarchive.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-internetarchive
 Homepage: https://github.com/jjjake/internetarchive
@@ -37,7 +36,6 @@
 Depends: ${misc:Depends}, ${python3:Depends}, python3-internetarchive
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
-Conflicts: python-duckduckgo2 (<< 0.242+git20151019-2)
 Description: commandline interface to archive.org
  Command-line tool (`ia`) for searching, downloading and uploading
  content to the Internet Archive.

## python-internetarchive 3.3.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: docs
 
-VERSION=$(shell grep -m1 __version__ internetarchive/__init__.py | cut -d\' -f2)
+VERSION=$(shell grep -m1 __version__ internetarchive/__version__.py | cut -d\' -f2)
 
 init:
 	pip install responses==0.5.0 pytest-cov pytest-pep8

=== tests/requirements.txt ===
flake8==4.0.1
pytest==7.1.2
responses==0.20.0

=== debian/changelog ===
python-internetarchive (3.3.0-2~deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * backport fix for directory transversal issue (Closes: #1114635,
    CVE-2025-58438)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 15 Sep 2025 15:05:48 -0400

python-internetarchive (3.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 31 Jan 2023 11:22:43 -0500

python-internetarchive (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Jan 2023 15:12:21 -0500

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
                python3-requests,
                python3-schema,
                python3-setuptools,
-               python3-six, python3-six (<< 2.0.0),
+               python3-six (<< 2.0.0),
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-internetarchive.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-internetarchive
 Homepage: https://github.com/jjjake/internetarchive
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-internetarchive
@@ -26,7 +27,7 @@
 Depends: ${misc:Depends}, ${python3:Depends},
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
-Description: python interface to archive.org
+Description: Python interface to archive.org
  Python library for searching, downloading and uploading content to
  the Internet Archive.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=internetarchive

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_auto_test:
	echo "W: tests disabled because they required an installed 'ia' binary"

# move binary in its own package
override_dh_auto_install:
	dh_auto_install
	mv debian/python3-internetarchive/usr/bin/ia debian/internetarchive/usr/bin

=== debian/watch ===
# try also https://pypi.debian.net/internetarchive/watch
version=4
https://pypi.python.org/packages/source/i/internetarchive/ \
             internetarchive-@ANY_VERSION@@ARCHIVE_EXT@

## python-internetarchive 3.5.0

=== tests/requirements.txt ===
pytest==7.2.2
responses==0.23.1
ruff==0.0.261

=== debian/changelog ===
python-internetarchive (3.5.0-1ubuntu0.1~esm1) noble-security; urgency=medium

  * SECURITY UPDATE: Directory traversal vulnerability
    - debian/patches/CVE-2025-58438.patch: Add functions for sanitizing
      and unsanitizing user input in `utils.py`
    - CVE-2025-58438

 -- Shishir Subedi <shishir.subedi@canonical.com>  Thu, 29 Jan 2026 14:48:19 +0545

python-internetarchive (3.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Jan 2024 14:49:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-internetarchive
 Section: python
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,

## python-internetarchive 3.7.0

=== tests/requirements.txt ===
pytest==7.2.2
responses==0.23.1
ruff==0.0.269

=== debian/changelog ===
python-internetarchive (3.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * remove extraneous dependency on python3-mock & python3-six
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 14 Apr 2024 17:21:53 +0200

python-internetarchive (3.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 25 Mar 2024 12:54:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: python-internetarchive
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-clint,
                python3-docopt,
                python3-jsonpatch,
-               python3-mock,
                python3-pytest,
                python3-responses,
                python3-requests,
                python3-schema,
                python3-setuptools,
-               python3-six (<< 2.0.0),
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-internetarchive.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-internetarchive

## python-internetarchive 5.1.0

=== debian/changelog ===
python-internetarchive (5.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 08 Jan 2025 10:10:46 -0500

python-internetarchive (5.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 22 Dec 2024 14:29:11 -0500

python-internetarchive (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge and integrate NMU.

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 12 Nov 2024 14:55:58 -0500

## python-internetarchive 5.2.1

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 publish:
 	git tag -a v$(VERSION) -m 'version $(VERSION)'
 	git push --tags origin master
-	python setup.py sdist bdist_wheel
-	twine upload --repository-url https://upload.pypi.org/legacy/ --repository testpypi dist/internetarchive-$(VERSION).tar.gz
+	python -m build
+	twine upload --repository pypi ./dist/*
 
 docs-init:
 	pip install -r docs/requirements.txt

=== debian/changelog ===
python-internetarchive (5.2.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 13 Feb 2025 14:30:32 -0500

python-internetarchive (5.2.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 09 Feb 2025 14:00:11 -0500

## python-internetarchive 5.3.1

=== debian/changelog ===
python-internetarchive (5.3.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 27 Mar 2025 14:47:24 -0400

## python-internetarchive 5.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/internetarchive.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/internetarchive.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/internetarchive"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/internetarchive"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-internetarchive (5.4.0-1ubuntu0.1) questing-security; urgency=medium

  * SECURITY UPDATE: Directory traversal vulnerability
    - debian/patches/CVE-2025-58438.patch: Add functions for sanitizing
      and unsanitizing user input in `utils.py`
    - CVE-2025-58438

 -- Shishir Subedi <shishir.subedi@canonical.com>  Thu, 29 Jan 2026 14:41:35 +0545

python-internetarchive (5.4.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 06 May 2025 15:56:02 -0400

=== debian/control ===
Source: python-internetarchive
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-clint,
 python3-jsonpatch,
 python3-pytest,
 python3-requests,
 python3-responses,
 python3-setuptools,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-internetarchive.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-internetarchive
Homepage: https://github.com/jjjake/internetarchive
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
X-Style: black

Package: python3-internetarchive
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: Python interface to archive.org
 Python library for searching, downloading and uploading content to
 the Internet Archive.

Package: internetarchive
Section: utils
Architecture: all
Depends:
 python3-internetarchive,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: commandline interface to archive.org
 Command-line tool (`ia`) for searching, downloading and uploading
 content to the Internet Archive.

## python-internetarchive 5.5.1

=== docs/requirements.txt ===
alabaster==0.7.12
docutils<0.18
Sphinx==4.5.0
sphinx-autodoc-typehints==1.18.1

=== debian/changelog ===
python-internetarchive (5.5.1-1) unstable; urgency=high

  * new upstream release (Closes: #1114635, CVE-2025-58438)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 08 Sep 2025 09:50:19 -0400

## python-internetarchive 5.7.0

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,6 @@
 binary:
 	pex . --python-shebang='/usr/bin/env python3' --python python3 -e internetarchive.cli.ia:main -o ia-$(VERSION)-py3-none-any.pex -r pex-requirements.txt --use-pep517
 
-publish-binary:
+publish-binary: binary
 	./ia-$(VERSION)-py3-none-any.pex upload ia-pex ia-$(VERSION)-py3-none-any.pex --no-derive
 	./ia-$(VERSION)-py3-none-any.pex upload ia-pex ia-$(VERSION)-py3-none-any.pex --remote-name=ia --no-derive

=== tests/requirements.txt ===
pytest==7.2.2
responses==0.23.1
ruff==0.8.5

=== debian/changelog ===
python-internetarchive (5.7.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 20 Oct 2025 16:40:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-internetarchive
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=internetarchive
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY.rst

## python-internetarchive 5.7.2

=== Makefile ===
.PHONY: docs clean clean-dist test binary test-binary check-release check-version \
        build tag push-tag upload-pypi publish-binary-upload github-release \
        publish publish-all publish-binary docs-init init pep8-test prepare-release

VERSION=$(shell grep -m1 __version__ internetarchive/__version__.py | cut -d\' -f2)

# ============ Development ============
init:
	pip install responses==0.5.0 pytest-cov pytest-pep8
	pip install -e .

clean:
	find . -type f -name '*\.pyc' -delete
	find . -type d -name '__pycache__' -delete

clean-dist:
	rm -rf dist/ build/ *.egg-info

pep8-test:
	py.test --pep8 -m pep8 --cov-report term-missing --cov internetarchive

test:
	ruff check
	pytest

# ============ Documentation ============
docs-init:
	pip install -r docs/requirements.txt

docs:
	cd docs && make html
	@echo "\033[95m\n\nBuild successful! View the docs homepage at docs/build/html/index.html.\n\033[0m"

# ============ Binary Building ============
binary:
	pex . --python-shebang='/usr/bin/env python3' --python python3 -e internetarchive.cli.ia:main -o ia-$(VERSION)-py3-none-any.pex -r pex-requirements.txt --use-pep517

test-binary: binary
	@echo "Testing pex binary..."
	./ia-$(VERSION)-py3-none-any.pex --version
	./ia-$(VERSION)-py3-none-any.pex --help > /dev/null
	./ia-$(VERSION)-py3-none-any.pex metadata --help > /dev/null
	@echo "Pex binary tests passed!"

# ============ Release Preparation ============
# Usage: make prepare-release RELEASE=5.7.2
prepare-release:
ifndef RELEASE
	$(error RELEASE is required. Usage: make prepare-release RELEASE=5.7.2)
endif
	@if echo "$(RELEASE)" | grep -q 'dev'; then \
		echo "Error: RELEASE should not contain 'dev'"; exit 1; \
	fi
	sed -i '' "s/__version__ = '.*'/__version__ = '$(RELEASE)'/" internetarchive/__version__.py
	sed -i '' "s/^$(RELEASE) (?)$$/$(RELEASE) ($$(date +%Y-%m-%d))/" HISTORY.rst
	@echo "Updated to version $(RELEASE) with date $$(date +%Y-%m-%d)"
	@echo "Review changes and commit when ready"

# ============ Release Validation ============
check-release:
	@if [ "$$(git rev-parse --abbrev-ref HEAD)" != "master" ]; then \
		echo "Error: Must be on master branch to release"; exit 1; \
	fi
	@if [ -n "$$(git status --porcelain)" ]; then \
		echo "Error: Working directory is not clean"; exit 1; \
	fi
	@if git rev-parse v$(VERSION) >/dev/null 2>&1; then \
		echo "Error: Tag v$(VERSION) already exists"; exit 1; \
	fi
	@echo "Release checks passed!"

check-version:
	@if echo "$(VERSION)" | grep -q 'dev'; then \
		echo "Error: Cannot release dev version $(VERSION)"; exit 1; \
	fi
	@echo "Version $(VERSION) is valid for release"

# ============ Release Building ============
build: clean-dist
	python -m build

# ============ Release Publishing ============
tag:
	git tag -a v$(VERSION) -m 'version $(VERSION)'

push-tag:
	git push --tags origin master

upload-pypi:
	twine upload --repository pypi ./dist/*

publish-binary-upload:
	./ia-$(VERSION)-py3-none-any.pex upload ia-pex ia-$(VERSION)-py3-none-any.pex --no-derive
	./ia-$(VERSION)-py3-none-any.pex upload ia-pex ia-$(VERSION)-py3-none-any.pex --remote-name=ia --no-derive

# Extract changelog and create GitHub release
github-release:
	@echo "Extracting changelog for v$(VERSION)..."
	@awk '/^$(VERSION) /{found=1; next} found && /^[0-9]+\.[0-9]+\.[0-9]+ /{exit} found' HISTORY.rst > /tmp/ia-release-notes-$(VERSION).md
	gh release create v$(VERSION) \
		--title "v$(VERSION)" \
		--notes-file /tmp/ia-release-notes-$(VERSION).md
	@rm -f /tmp/ia-release-notes-$(VERSION).md
	@echo "GitHub release created!"

# ============ Main Release Targets ============

# PyPI-only release (no binary)
publish: check-version check-release test build tag push-tag upload-pypi github-release
	@echo "\n\033[92mRelease v$(VERSION) published to PyPI and GitHub!\033[0m"

# Full release including pex binary
publish-all: check-version check-release test build binary test-binary tag push-tag upload-pypi publish-binary-upload github-release
	@echo "\n\033[92mRelease v$(VERSION) published everywhere!\033[0m"

# Binary-only release (for publishing binary after PyPI release)
publish-binary: binary test-binary publish-binary-upload
	@echo "\n\033[92mBinary v$(VERSION) published to archive.org!\033[0m"

=== tests/requirements.txt ===
pytest==8.4.2
responses==0.23.1
ruff==0.14.1

=== debian/changelog ===
python-internetarchive (5.7.2-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 03 Feb 2026 12:27:47 -0500
